summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2015-07-13 08:01:20 +0700
committer Robby Workman <rworkman@slackbuilds.org>2015-07-16 10:57:19 -0500
commit12b3c973475e63d557300504f7a3a1cb08950c5a (patch)
tree0313b53a05398ebafcf1190a4b72c9b3e60681b9 /python
parenta2871961257db0411d4423fcd0f56c3aab6ab2dd (diff)
downloadslackbuilds-12b3c973475e63d557300504f7a3a1cb08950c5a.tar.gz
slackbuilds-12b3c973475e63d557300504f7a3a1cb08950c5a.tar.xz
python/pypy3: Added (Implementation of Python 3).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/pypy3/README9
-rw-r--r--python/pypy3/pypy3.SlackBuild93
-rw-r--r--python/pypy3/pypy3.info10
-rw-r--r--python/pypy3/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/python/pypy3/README b/python/pypy3/README
new file mode 100644
index 0000000000..e63b5986b6
--- /dev/null
+++ b/python/pypy3/README
@@ -0,0 +1,9 @@
+PyPy is a very compliant implementation of the Python language. PyPy
+has several advantages and distinctive features: speed (Just-in-Time
+compiler), lower memory usage for large programs, sandboxing and
+stackless mode.
+
+NOTE: this script is for PyPy which implements Python 3.
+
+This is a repackaging of the portable binaries from
+<https://github.com/squeaky-pl/portable-pypy>.
diff --git a/python/pypy3/pypy3.SlackBuild b/python/pypy3/pypy3.SlackBuild
new file mode 100644
index 0000000000..055df4e556
--- /dev/null
+++ b/python/pypy3/pypy3.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for pypy3
+
+# Copyright 2015 Audrius Kažukauskas <audrius@neutrino.lt>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pypy3
+VERSION=${VERSION:-2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-linux_$ARCH-portable
+tar xvf $CWD/$PRGNAM-$VERSION-linux_$ARCH-portable.tar.bz2
+cd $PRGNAM-$VERSION-linux_$ARCH-portable
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use os.path.realpath to resolve symlink in the path.
+sed -i 's/abspath/realpath/' bin/virtualenv-pypy
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+cp -a * $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+
+# Create symlinks to pypy3 executables.
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin
+ ln -sf ../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/bin/pypy pypy3
+ ln -sf ../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/bin/virtualenv-pypy virtualenv-pypy3
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pypy3/pypy3.info b/python/pypy3/pypy3.info
new file mode 100644
index 0000000000..0e85753f34
--- /dev/null
+++ b/python/pypy3/pypy3.info
@@ -0,0 +1,10 @@
+PRGNAM="pypy3"
+VERSION="2.4"
+HOMEPAGE="http://pypy.org/"
+DOWNLOAD="https://bitbucket.org/squeaky/portable-pypy/downloads/pypy3-2.4-linux_i686-portable.tar.bz2"
+MD5SUM="deb9c7de9666d6e67939c5a97f4c0224"
+DOWNLOAD_x86_64="https://bitbucket.org/squeaky/portable-pypy/downloads/pypy3-2.4-linux_x86_64-portable.tar.bz2"
+MD5SUM_x86_64="6fd83263159cc3ece4a9a186ce1ed388"
+REQUIRES=""
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"
diff --git a/python/pypy3/slack-desc b/python/pypy3/slack-desc
new file mode 100644
index 0000000000..5bab7f7182
--- /dev/null
+++ b/python/pypy3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pypy3: PyPy3 (implementation of Python 3 written in Python)
+pypy3:
+pypy3: PyPy is a very compliant implementation of the Python language. PyPy
+pypy3: has several advantages and distinctive features: speed (Just-in-Time
+pypy3: compiler), lower memory usage for large programs, sandboxing and
+pypy3: stackless mode.
+pypy3:
+pypy3: Homepage: http://pypy.org/
+pypy3:
+pypy3:
+pypy3: